Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am trying to play a VCD, but Totem gives me an error :

Videos requires to install plugins to support the following multimedia feature: VCD protocol source

So i did

sudo apt-get install ubuntu-restricted-extras

I still get the same error when i try to play the VCD again after installation, so i try :

sudo apt-get install w64codecs libdvdcss2

But that gives me the error :

Package libdvdcss2 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Unable to locate package w64codecs
E: Package 'libdvdcss2' has no installation candidate

Any way to make Totem play the VCD?

share|improve this question

2 Answers 2

As far as I know, currently there is no solution for this problem. But you can try other media players like VLC. It plays almost everything.

share|improve this answer
    
I have a question on VLC as well askubuntu.com/questions/472963/vlc-unable-to-open-mrl :) –  faizal May 27 '14 at 16:19

libdvdcss2 isn't a "standard" package and has to be installed the following way:

sudo apt-get install libdvdread4
sudo /usr/share/doc/libdvdread4/install-css.sh # This downloads and installs libdvdcss2

This should make Totem play your VCD. You may also want to make sure you have gstreamer's plugins to play some patent-encumbered formats:

sudo apt-get install gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.